#!/bin/sh

export CROSS_COMPILE=/opt/eldk_mips/usr/bin/mips_4KCle
export VERSION=linux-2.6.25.8-mips
export IMAGE=uImage26.mips
export METANAME=vmlinux.bin

#$CROSS_COMPILE-objcopy \
#-O binary -R .note -R .comment -S \
#vmlinux $METANAME

ENTADD=`awk '/T kernel_entry/ {print $1}' System.map`

$CROSS_COMPILE-objcopy -O binary vmlinux $METANAME

gzip -9 $METANAME

/opt/eldk_mips/usr/bin/mkimage \
-A mips \
-O linux \
-T kernel \
-C gzip \
-a 80001000 \
-e $ENTADD \
-n "$VERSION" \
-d $METANAME.gz \
$IMAGE

rm $METANAME.gz

ABC="/opt/eldk_mips/usr/bin/mkimage \
-A mips \
-O linux \
-T kernel \
-C gzip \
-a 80001000 \
-e $ENTADD \
-n $VERSION \
-d $METANAME.gz \
$IMAGE"

echo $ABC
