
#ifndef __UTIL_IF_H
#define __UTIL_IF_H

#include <sys/time.h>
#include "../../net_snmp_handle.h"

/*-----------------------------------------------------------------------------
 * FUNCTION NAME: util_snmp_evtMsg_handler
 * PURPOSE: This function provide to handler/parse SNMP sommand socket.
 *
 * PARAMs:
 *		INPUT:  
 *              
 *		OUTPUT: None.
 *
 * RETURN:	int -- 0: success/ else: failure
 *
 * NOTES: 
 *-----------------------------------------------------------------------------
 */
int util_snmp_evtMsg_handler(snmp_eventMsg_t *event);

/*-----------------------------------------------------------------------------
 * FUNCTION NAME: util_snmp_evtMsg_ack_handler
 * PURPOSE: This function provide to handler send command to CLI, Waiting for Ack!
 *          Send command to CLI, No Ack!
 * PARAMs:
 *		INPUT:  snmp_eventMsg_t *event
 *              
 *		OUTPUT: None.
 *
 * RETURN:	int -- 0: success/ else: failure
 *
 * NOTES: 
 *-----------------------------------------------------------------------------
 */
int util_snmp_evtMsg_ack_handler( snmp_eventMsg_t *event );

#endif //__UTIL_IF_H
